Page MenuHomePhabricator

rhg: Add debug timing
ClosedPublic

Authored by acezar on Aug 26 2020, 9:24 AM.

Details

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

acezar created this revision.Aug 26 2020, 9:24 AM
marmoute accepted this revision.Aug 26 2020, 3:29 PM
marmoute added a subscriber: marmoute.

This looks straighforward.

Alphare accepted this revision.Aug 28 2020, 8:58 AM
acezar updated this revision to Diff 22494.Aug 31 2020, 10:40 AM
acezar updated this revision to Diff 22531.Sep 3 2020, 4:51 AM
acezar updated this revision to Diff 22535.Sep 3 2020, 8:50 AM
martinvonz added inline comments.
rust/rhg/src/main.rs
19

Does this have to be env_logger now that D8990 has landed (I didn't check if it had when you sent this)?

Alphare accepted this revision.Sep 23 2020, 3:05 AM
Alphare added inline comments.
rust/rhg/src/main.rs
19

This is in rhg that has its own dependency on simple_logger. However it would be a good idea to use env_logger in rhg as well for the same reasons. But that would be in a separate patch.

acezar updated this revision to Diff 22776.Sep 23 2020, 6:21 AM
This revision was not accepted when it landed; it landed in state Needs Review.
Closed by commit rHGb1cea0dc9db0: rhg: Add debug timing (authored by acezar). · Explain Why
This revision was automatically updated to reflect the committed changes.